[PATCH] Removes unused-kernel-patches in Makefile
by Miguel A. Flores Silverio
After discussing with my mentor [ Laura Abbott ]. Looks
like the following is not longer needed.
Signed-off-by: Miguel Flores Silverio <floresmigu3l(a)gmail.com>
---
Makefile | 3 ---
1 file changed, 3 deletions(-)
diff --git a/Makefile b/Makefile
index 5354035..f20475f 100644
--- a/Makefile
+++ b/Makefile
@@ -111,9 +111,6 @@ release: config-release
include Makefile.release
-unused-kernel-patches:
- @for f in *.patch; do if [ -e $$f ]; then (egrep -q "^Patch[[:digit:]]+:[[:space:]]+$$f" $(SPECFILE) || echo "Unused: $$f") && egrep -q "^ApplyPatch[[:space:]]+$$f|^ApplyOptionalPatch[[:space:]]+$$f" $(SPECFILE) || echo "Unapplied: $$f"; fi; done
-
ifeq ($(MAKECMDGOALS),me a sandwich)
.PHONY: me a sandwich
me a:
--
2.7.4
6 years, 10 months
[PATCHv4] Script to generate perf-man tarball.
by Miguel A. Flores Silverio
This script helps generate the perf-man tarball. By default it uses
the kernel version of the upstream tree set in LINUX_GIT. In the given
case the the upstream tree and the current tree do not have the same
version use the --version=x.y
Signed-off-by: Miguel Flores Silverio <floresmigu3l(a)gmail.com>
---
* v1
- use LINUX_GIT
* v2
- Fix: quotes around $LINUX
- moves to scripts directory
* v3
- Add prompt to specify kernel version and patchlevel.
* v4
- Use flag --version=x.y instead of prompt
- Remove debuggin comments
scripts/generate-perf-man.sh | 44 ++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 44 insertions(+)
create mode 100755 scripts/generate-perf-man.sh
diff --git a/scripts/generate-perf-man.sh b/scripts/generate-perf-man.sh
new file mode 100755
index 0000000..6f51820
--- /dev/null
+++ b/scripts/generate-perf-man.sh
@@ -0,0 +1,44 @@
+#! /bin/sh
+# Small script to generate the perf-man tarball. The script relies on having
+# LINUX_GIT set in your local .bashrc. By default the script will use the
+# the kernel version of the upstream tree set in LINUX_GIT. Use --version=x.y
+# to set a specific version.
+
+# [Default] eg. ./scritps/generate-perf-man
+# eg. ./scripts/generate-perf-man --version=4.8
+
+if [ -f ~/.bashrc ]; then
+ source ~/.bashrc
+fi
+
+if [ ! -d "$LINUX_GIT" ]; then
+ echo "Error: \$LINUX_GIT is not set to the upstream git tree."
+ exit 1
+fi
+
+BASEDIR=$(dirname "$(cd $(dirname $BASH_SOURCE[0]) && pwd)")
+pushd "$LINUX_GIT"
+KERNEL_VERSION=$( awk '/^VERSION =/ {print $3}' Makefile )
+KERNEL_PATCHLEVEL=$( awk '/^PATCHLEVEL =/ {print $3}' Makefile )
+
+if [ ! -z "$@" ]; then
+ for opt in "$@"; do
+ case $opt in
+ --version=*.*)
+ version="${opt#*=}"
+ KERNEL_VERSION=$( awk -F. '{print $1}' <<< $version )
+ KERNEL_PATCHLEVEL=$( awk -F. '{print $2}' <<< $version )
+ ;;
+ -h | --help)
+ usage
+ ;;
+ *)
+ ;;
+ esac
+ done
+fi
+cd tools/perf/Documentation/
+make
+tar -czvf $BASEDIR/perf-man-${KERNEL_VERSION}.${KERNEL_PATCHLEVEL}.tar.gz *.1
+make clean
+popd
--
2.7.4
6 years, 10 months
Fwd: [PATCH] drm/i915/skl: Fix redundant cursor update, fix cursor
underruns
by Hans de Goede
And another skylake laptop external monitor fix
which would be good to add to the Fedora kernels.
(note it has a Cc stable)
-------- Forwarded Message --------
Subject: [PATCH] drm/i915/skl: Fix redundant cursor update, fix cursor underruns
Date: Fri, 15 Jul 2016 18:13:56 -0400
From: Lyude <cpaul(a)redhat.com>
To: intel-gfx(a)lists.freedesktop.org
CC: Lyude <cpaul(a)redhat.com>, Radhakrishna Sripada <radhakrishna.sripada(a)intel.com>, Hans de Goede <hdegoede(a)redhat.com>, stable(a)vger.kernel.org, Daniel Vetter <daniel.vetter(a)intel.com>, Jani Nikula <jani.nikula(a)linux.intel.com>, David Airlie <airlied(a)linux.ie>, open list:INTEL DRM DRIVERS (excluding Poulsbo, Moorestow...), linux-kernel(a)vger.kernel.org (open list) <dri-devel(a)lists.freedesktop.org>
At long last, the time has finally come for Skylake users to plug their
external displays back in.
During intel_atomic_commit() on Skylake, we've actually been arming the
registers to update the cursor information twice instead of just once.
Once in i9xx_update_cursor(), and once in skl_wm_flush_pipe(). This
isn't actually necessary, and removing the later update in
skl_wm_flush_pipe() has completely stopped the underruns on this T460p
from occurring when moving the mouse cursor from one monitor to another.
Signed-off-by: Lyude <cpaul(a)redhat.com>
Cc: Radhakrishna Sripada <radhakrishna.sripada(a)intel.com>
Cc: Hans de Goede <hdegoede(a)redhat.com>
Cc: stable(a)vger.kernel.org
---
drivers/gpu/drm/i915/intel_pm.c | 1 -
1 file changed, 1 deletion(-)
diff --git a/drivers/gpu/drm/i915/intel_pm.c b/drivers/gpu/drm/i915/intel_pm.c
index 7ac71ec..4771a03 100644
--- a/drivers/gpu/drm/i915/intel_pm.c
+++ b/drivers/gpu/drm/i915/intel_pm.c
@@ -3860,7 +3860,6 @@ skl_wm_flush_pipe(struct drm_i915_private *dev_priv, enum pipe pipe, int pass)
I915_WRITE(PLANE_SURF(pipe, plane),
I915_READ(PLANE_SURF(pipe, plane)));
}
- I915_WRITE(CURBASE(pipe), I915_READ(CURBASE(pipe)));
}
static bool
--
2.7.4
6 years, 10 months
[PATCHv2] Script to add a new patch newpatch.sh
by Miguel A. Flores Silverio
Script helps add a new patch to the soruce tree. It enables
the builid macro and uses the name of the patch as label instead of
using rpmdev-bumpspec.
Signed-off-by: Miguel Flores Silverio <floresmigu3l(a)gmail.com>
---
*v1
- Fixed: Fail adding a patch with no description
- Fixed: Fail to add a patch outside the tree
- Fixed: Fail when adding a patch already in the tree directory
- Fixed: Fail to add to git when running script outside tree
scripts/newpatch.sh | 41 +++++++++++++++++++++++++++++++++++++++++
1 file changed, 41 insertions(+)
create mode 100755 scripts/newpatch.sh
diff --git a/scripts/newpatch.sh b/scripts/newpatch.sh
new file mode 100755
index 0000000..2153fc8
--- /dev/null
+++ b/scripts/newpatch.sh
@@ -0,0 +1,41 @@
+#! /bin/sh
+
+# Facilitates the addition of a new patch to the source tree.
+# -- Moves patch to tree
+# -- Adds patch to kernel.spec list of patches
+# -- Adds patch to git
+# -- change buildid macro to the name of the patch being added
+
+# Base directory is relative to where the script is.
+BASEDIR="$(dirname "$(cd $(dirname $BASH_SOURCE[0]) && pwd)")"
+pushd $BASEDIR > /dev/null
+# Check for at least patch
+if [ "$#" -lt 1 ]; then
+ echo "usage: $0 [ /path/to/patch/ ] [ description ]"
+ exit 1
+fi
+PATCHDIR=$1
+DESC=$2
+PATCH="$(basename "$PATCHDIR")"
+# Kernel.spec file in the current tree
+SPECFILE="$BASEDIR/kernel.spec"
+# If adding patch from outside the source tree move it to the source tree
+if [ -z "$(ls | grep $PATCH)" ]; then
+ mv $PATCHDIR $BASEDIR/
+fi
+
+if [ ! -z "$(grep $PATCH $SPECFILE)" ]
+then
+ echo "$PATCH already in kernel.spec"
+ exit 1
+fi
+# ID number of the last patch in kernel.spec
+LPATCH_ID=$(grep ^Patch $SPECFILE | tail -n1 | awk '{ print $1 }' | sed s/Patch// | sed s/://)
+# ID of the next patch to be added to kernel.spec
+NPATCH_ID=$(($LPATCH_ID + 1 ))
+# Add patch with new id at the end of the list of patches
+sed -i "/^Patch$LPATCH_ID:\ /a#\ $DESC\nPatch$NPATCH_ID:\ $PATCH" $SPECFILE
+# Add it to git
+git add $PATCH
+sed -i "s/^.*define buildid .*$/%define buildid .$PATCH/" $SPECFILE
+popd > /dev/null
--
2.7.4
Some tests I performed:
# running script within tree and patch also withing tree, no description
- $ ./scripts/newpatch.sh some_patch.patch
# running script outside tree and patch outside tree, no description
- $ bash ~/kernel/scripts/newpatch.sh ~/Documents/fix_all_the_things.patch
# running within tree and patch outside tree, with decription
- $ ./scripts/newpatch.sh ~/Documents/fix_all_the_things.patch "It is magic!"
6 years, 10 months
rpm hang when building latest kernel ...
by Prarit Bhargava
Hi labbott,
I'm trying to build the latest kernel rpm [1] on an updated F24 and it is
getting stuck here:
+ /root/rpmbuild/SOURCES/mod-sign.sh certs/signing_key.pem.sign
certs/signing_key.x509.sign
/root/rpmbuild/BUILDROOT/kernel-4.7.0-0.rc6.git2.2.fc24.x86_64/lib/modules/4.7.0-0.rc6.git2.2.fc24prarit.x86_64/
find:
'/root/rpmbuild/BUILDROOT/kernel-4.7.0-0.rc6.git2.2.fc24.x86_64/lib/modules/4.7.0-0.rc6.git2.2.fc24prarit.x86_64/':
No such file or directory
find:
'/root/rpmbuild/BUILDROOT/kernel-4.7.0-0.rc6.git2.2.fc24.x86_64/lib/modules/4.7.0-0.rc6.git2.2.fc24prarit.x86_64/':
No such file or directory
ps aux shows:
root 8710 0.0 0.0 9660 2500 pts/0 S+ 20:02 0:00 /bin/bash
/root/rpmbuild/SOURCES/mod-sign.sh certs/signing_key.pem.sign
certs/signing_key.x509.sign
/root/rpmbuild/BUILDROOT/kernel-4.7.0-0.rc6.git2.2.fc24.x86_64/lib/modules/4.7.0-0.rc6.git2.2.fc24prarit.x86_64/
root 8716 0.0 0.0 4376 788 pts/0 S+ 20:02 0:00 tail -c 28
Any ideas? Have you seen this? Just want to know before I start debugging ;)
P.
[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=778835
6 years, 10 months